> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Cancel a scheduled action DELETE https://api.contentful.com/spaces/{space_id}/scheduled_actions/{scheduled_action_id} Cancels a scheduled action. Only actions in `scheduled` status can be cancelled. Reference: https://contentful.com/developers/docs/references/content-management-api/scheduled-actions/cancel-a-scheduled-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `scheduled_action_id` (string, required) — ID of the scheduled action in form of a string ### Query parameters - `environment.sys.id` (string, optional) — ID of the environment in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "action": "publish", "entity": { "sys": { "id": "5KsDBWseXY6QegucYAoacS", "linkType": "Entry", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "scheduledFor": { "datetime": "2022-01-01T12:00:00.000Z", "timezone": "Europe/Berlin" }, "sys": { "canceledAt": "2020-01-01T13:00:00.000Z", "canceledBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "createdAt": "2025-09-02T00:48:42.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "3A13SXSDwO8c46NrjigFYT", "space": { "sys": { "id": "yadj1kx9rmg0", "type": "Link" } }, "status": "canceled", "type": "ScheduledAction" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.deleteScheduledAction({ scheduledActionId: '', environmentId: '' })) .then((scheduledAction) => console.log(scheduledAction)) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript No snippet for this SDK. ```